help for downgrade to 2.1 in 3G unlock factory

Discussion in 'iPhone' started by cpuman, Nov 27, 2008.

  1. cpuman macrumors newbie

    Joined:
    Nov 27, 2008
    #1
    Hi

    this is my first post in this big forum.

    i have iphone 3G unlock factory.
    last night i did update my iphone to 2.2 , now i will come back and downgrade to 2.1 but i can not this work.

    Thanks For Help.
     
  2. NotFound macrumors 6502a

    NotFound

    Joined:
    Nov 30, 2006
    #2
    It was recommended that if you want a software unlock in the future that you don't upgrade to 2.2 at all because it will update the baseband. You may be out of luck for a while.
     
  3. cpuman thread starter macrumors newbie

    Joined:
    Nov 27, 2008
    #3
    you think , i have not way for downgrade to 2.1 ?
     
  4. NotFound macrumors 6502a

    NotFound

    Joined:
    Nov 30, 2006
    #4
    Put your phone in DFU mode, download iPhone firmware 2.1 from somewhere online and when you connect your phone to iTunes hold down Option (on a Mac) or Shift (on Windows) and find the firmware you downloaded and install it. Your baseband will still have the upgraded version, however.
     
  5. cpuman thread starter macrumors newbie

    Joined:
    Nov 27, 2008
    #5
    Thanks man for help

    i did this work , after the install 2.1, ituns and iphone stay in dfu mode and i ituns have 1013 error.
     
  6. NotFound macrumors 6502a

    NotFound

    Joined:
    Nov 30, 2006
    #6
    If you are getting error messages type them into Google search. There really isn't a straight forward answer for any error messages you get because this whole unlock/jailbreak/firmware hacking business isn't organized. Good luck.
     
  7. sparkyms macrumors 65816

    Joined:
    Feb 22, 2007
    Location:
    Southampton UK
    #7
    Maybe we can help address your issues with 2.2?

    If your phone is factory unlocked what is it about 2.2 that is the problem?
     
  8. cpuman thread starter macrumors newbie

    Joined:
    Nov 27, 2008
    #8
    i use from ipersian software in cydia , and i like it, but this software have not support 2.2 .
     
  9. goosnarrggh macrumors 68000

    Joined:
    May 16, 2006
    #9
    English is apparently not your first language, so I'm not sure if I read you right. By "unlock factory"... do you mean that the phone was a manufacturer-authorized unlocked unit?

    If so, then your phone is still perfectly covered by its original warranty - if you have a problem, take it to the local Apple store (in the country in which it was originally purchased).


    [edit]
    Oh, I see... You want to use some 3rd party software that can only be used on a jailbroken phone, but the software hasn't been updated to work with firmware version 2.2 yet.

    I don't think Apple has ever provided support for switching backwards to older versions of firmware for any members of its iPod/iPhone line. That said, it may sometimes coincidentally happen to work, but I don't think it's ever officially supported.
    [/edit]
     

Share This Page